'''
Created on 20.05.2015

@author: wn
'''

import paho.mqtt.client as mqtt
import json
import pymongo
import datetime
import sys

def on_message(client, userdata, msg):
    j = json.loads(msg.payload)
    print(json.dumps(j, indent=2, separators=(',',':')))


if __name__ == '__main__':
    print("Starting client ...")
    
    client = mqtt.Client()
    client.on_message = on_message
    client.connect("172.16.2.15", 1883, 60)
    for i in sys.argv[1:]:
    	client.subscribe(i)

    client.loop_forever()

